javax.visrec.util

## Interface Builder<T>

Type Parameters:
  `T` - type of the object to be returned by the builder.

    public interface Builder<T>

Generic builder interface, that all builders for machine learning algorithms implement.

Since:
  1.0
Author:
  Zoran Sevarac, Kevin Berendsen

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`T` `build()` Builds and returns an object using properties set using available builder methods.
`default T` `build(Map<String,Object> configuration)` Builds an object using properties from the specified input argument

### Method Detail

#### build

    T build()

Builds and returns an object using properties set using available builder methods.

Returns:
  object specified by the builder to build

#### build

    default T build(Map<String,Object> configuration)

Builds an object using properties from the specified input argument

Parameters:
  `configuration` - properties for the builder, a map of key, value pairs.
Returns:
  object specified by the builder to build